@import "app-variables";
@import "app-mixins";
@import "mixins";

.header {
  align-items: center;
  display: flex;
}

.logo {
  font-size: 3.5rem;
  text-shadow: 0 3px 6px rgba($color: #000000, $alpha: .16);
}

.nav {
  display: flex;
  justify-content: flex-end;
  flex: 1;
  flex-wrap: wrap;

  &__item {
    margin: 0 .4em;
    padding: .2em;

    &.active {
      text-decoration: underline;
    }
  }
}

@include media-breakpoint-up(md) {
  .nav {

    &__item {
      margin: 0 1em;
      padding: .5em;
    }
  }
}

@include media-breakpoint-up(xxl) {

  .header {
    position: relative;
  }
  
  .logo {
    left: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-55%);
  }

  .nav {
    align-items: center;
    height: 7rem;
    justify-content: center;
  }
}